include(FetchContent)

if(NOT DEFINED LIBSTUD_REPO)
    set(LIBSTUD_REPO https://github.com/GeorgH93/libstud-uuid.git)
endif ()

FetchContent_Declare(
        libstud-uuid
        EXCLUDE_FROM_ALL
        GIT_REPOSITORY ${LIBSTUD_REPO}
        GIT_SHALLOW TRUE
)

FetchContent_MakeAvailable(libstud-uuid)
